#ifndef QMYWINDOW_H
#define QMYWINDOW_H

#include <QtGui/QWidget>

#include "mainwindow.h"

class QMyWindow: public QMainWindow {
	Q_OBJECT

public:
	QMyWindow(QWidget *parent);

public slots:
	void slotQuitApp();
	void slotLoadFile();
	void slotReloadShader();

signals:
	void signalQuitApp();
	void signalLoadFile(QString);
	void signalReloadShader();

private:
	Ui::MainWindow ui;
};

#endif