uniform sampler2D texture;
uniform float maxDistanceRCP;

void main(void)
{ 
	// distance to nearest object stored in alpha component
	// color of nearest object stored in rgb component
	vec4 texv = texture2D(texture, gl_TexCoord[0].st); 

	gl_FragColor.rgb = texv.rgb * (1.0 - maxDistanceRCP*texv.a);
	gl_FragColor.a = 1.0;
}

